#include <FastLED.h> 

 

#define micPin A0  // Connect the microphone pin to A0 

#define LED_PIN 5 

#define NUM_LEDS 1 

 

CRGB leds[NUM_LEDS]; 

 

const int threshold = 700;  // Threshold for sound level, adjust through experimentation 

boolean status_lights = false; // Initialize LED status (off) 

 

void setup() { 

  FastLED.addLeds<WS2812, LED_PIN, GRB>(leds, NUM_LEDS); 

  Serial.begin(9600); 

  FastLED.clear(); // Turn off LEDs initially 

  FastLED.show(); 

} 

 

void loop() { 

  int soundLevel = analogRead(micPin); // Read analog value from the microphone 

 

  if (soundLevel > threshold) {  // When a sound higher than the threshold is detected 

    delay(10);  // Short delay to prevent continuous sound detection 

    soundLevel = analogRead(micPin);  // Check the sound level again 

    if (soundLevel > threshold) {  // If higher sound level is still detected 

      Serial.println("Clap Detected!");  // Output "Clap Detected!" message 

       

      if (!status_lights) { 

        status_lights = true; // Change LED status 

        leds[0] = CRGB(255, 255, 255); // Turn on the LED (white) 

        FastLED.show(); 

      } else { 

        status_lights = false; // Change LED status 

        FastLED.clear(); // Turn off the LED 

        FastLED.show(); 

      } 

       

      delay(1000);  // Wait after turning on the LED 

    } 

  } 

} 

 